import { jsx as a } from "@emotion/react/jsx-runtime";
import { forwardRef as i } from "react";
import { Radio as f } from "../../../../../../../extended/mui/Radio/Radio.js";
const R = i(
  function({ onChange: r, checked: t, ...e }, d) {
    function n(o) {
      r(o.target.checked, o.nativeEvent.shiftKey);
    }
    return /* @__PURE__ */ a(f, { checked: t, onChange: n, ...e });
  }
);
export {
  R as RadioFormatter
};
